# player_gui.h File Reference

GUI Functions related to players. More...

`#include "player_type.h"`

Go to the source code of this file.

## Functions

uint16 | GetDrawStringPlayerColor (PlayerID player)
void | DrawPlayerIcon (PlayerID p, int x, int y)
void | ShowPlayerStations (PlayerID player)
| Opens window with list of player's stations.
void | ShowPlayerFinances (PlayerID player)
void | ShowPlayerCompany (PlayerID player)
void | InvalidatePlayerWindows (const Player *p)
void | DeletePlayerWindows (PlayerID pi)
| Delete all windows of a player.

## Detailed Description

GUI Functions related to players.

Definition in file player_gui.h.

## Function Documentation

void DeletePlayerWindows | ( | PlayerID | id | ) |

Delete all windows of a player.

We identify windows of a player by looking at the caption colour. If it is equal to the player ID then we say the window belongs to the player and should be deleted

Parameters:

  | id | PlayerID player identifier

Definition at line 422 of file window.cpp.

Referenced by CmdPlayerCtrl().

void ShowPlayerStations | ( | PlayerID | player | ) |

Opens window with list of player's stations.

Parameters:

  | player | player whose stations' list show

Definition at line 613 of file station_gui.cpp.

References AllocateWindowDescFront(), HasBit(), ReallocT(), RESIZE_NONE, ResizeWindow(), SLW_CARGOALL, SLW_CARGOSTART, SLW_NOCARGOWAITING, SLW_PAN_RIGHT, WWT_LAST, and WWT_PANEL.